Loading...
Searching...
No Matches
libcamera::ipa::CameraSensorHelper::AnalogueGainLinear Struct Reference

Analogue gain constants for the linear gain model. More...

## Public Attributes

int16_t | m0
| Constant used in the linear gain coding/decoding.
int16_t | c0
| Constant used in the linear gain coding/decoding.
int16_t | m1
| Constant used in the linear gain coding/decoding.
int16_t | c1
| Constant used in the linear gain coding/decoding.

## Detailed Description

Analogue gain constants for the linear gain model.

The relationship between the integer gain parameter and the resulting gain multiplier is given by the following equation:

Where 'x' is the gain control parameter, and m0, m1, c0 and c1 are image-sensor-specific constants of the sensor. These constants are static parameters, and for any given image sensor either m0 or m1 shall be zero.

The full Gain equation therefore reduces to either:

or

## Member Data Documentation

## m0

int16_t libcamera::ipa::CameraSensorHelper::AnalogueGainLinear::m0

Constant used in the linear gain coding/decoding.

Note
  Either m0 or m1 shall be zero.

## m1

int16_t libcamera::ipa::CameraSensorHelper::AnalogueGainLinear::m1

Constant used in the linear gain coding/decoding.

Note
  Either m0 or m1 shall be zero.

The documentation for this struct was generated from the following files:

- src/ipa/libipa/camera_sensor_helper.h
- src/ipa/libipa/camera_sensor_helper.cpp